﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;
using System.Collections.ObjectModel;

namespace HeuristicLab.OKB.Cockpit.Admin {
  public partial class RelationEditorWindow : Window {

    public static DependencyProperty AvailableObjectsProperty = DependencyProperty.Register(
      "AvailableObjects", typeof(ObservableCollection<object>), typeof(RelationEditorWindow),
      new PropertyMetadata(new ObservableCollection<object>()));

    public static DependencyProperty SelectedObjectsProperty = DependencyProperty.Register(
      "SelectedObjects", typeof(ObservableCollection<object>), typeof(RelationEditorWindow),
      new PropertyMetadata(new ObservableCollection<object>()));

    public ObservableCollection<object> AvailableObjects {
      get { return (ObservableCollection<object>)GetValue(AvailableObjectsProperty); }
      set { SetValue(AvailableObjectsProperty, value); }
    }

    public ObservableCollection<object> SelectedObjects {
      get { return (ObservableCollection<object>)GetValue(SelectedObjectsProperty); }
      set { SetValue(SelectedObjectsProperty, value); }
    }

    public RelationEditorWindow() {
      InitializeComponent();
      ItemSelector.DataContext = this;
      ItemSelector.SetBinding(ItemSelector.AvailableObjectsProperty, "AvailableObjects");
      ItemSelector.SetBinding(ItemSelector.SelectedObjectsProperty, "SelectedObjects");
    }

    protected void OnClick(object sender, EventArgs args) {
      if (sender == OK)
        DialogResult = true;
      else if (sender == Cancel)
        DialogResult = false;
      Close();
    }
  }
}
